org.codehaus.plexus.maven.plugin

## Class PlexusTestDescriptorMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.codehaus.plexus.maven.plugin.AbstractDescriptorMojo
    - - org.codehaus.plexus.maven.plugin.PlexusTestDescriptorMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class PlexusTestDescriptorMojo
    extends AbstractDescriptorMojo

Generates a Plexus `components.xml` component descriptor file from test source (javadoc) or test class annotations.

Version:
  $Id: PlexusTestDescriptorMojo.java 7988 2008-12-31 10:15:47Z bentmann $
Author:
  Jason van Zyl, Trygve Laugstøl

### Field Summary

Fields
`protected java.io.File` `testGeneratedMetadata` The output location for the generated descriptor.
`protected java.io.File` `testIntermediaryMetadata` The output location for the intermediary descriptor.
`protected java.io.File` `testStaticMetadataDirectory` The location of manually crafted component descriptors.

### Fields inherited from class org.codehaus.plexus.maven.plugin.AbstractDescriptorMojo

`mavenProject, mavenProjectHelper, metadataGenerator, sourceEncoding`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`PlexusTestDescriptorMojo()`

### Method Summary

Methods
`void` `execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### testGeneratedMetadata

    protected java.io.File testGeneratedMetadata

The output location for the generated descriptor.

#### testStaticMetadataDirectory

    protected java.io.File testStaticMetadataDirectory

The location of manually crafted component descriptors. The contents of the descriptor files in this directory is merged with the information extracted from the project's sources/classes.

#### testIntermediaryMetadata

    protected java.io.File testIntermediaryMetadata

The output location for the intermediary descriptor. This descriptors contains only the information extracted from the project's sources/classes.

### Constructor Detail

#### PlexusTestDescriptorMojo

    public PlexusTestDescriptorMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`